All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.remotefileselector
Class InformationServicesSelectorPanel

    com.sas.swing.visuals.remotefileselector.InformationServicesSelectorPanel

All Implemented Interfaces:
  ActionProviderViewInterface, SwingActionProviderViewInterface, com.sas.collection.ContentsChangedListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class InformationServicesSelectorPanel

InformationServicesSelectorPanel defines the panel to be used when directly accessing Report Repository type file systems. Given a Report Repository model and a path it will associate the default transforms, and column names with the RemoteFileServerModel.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

Since:
  3.0
See Also:
  `
  `, Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.remotefileselector.BaseRemoteFileSelectorPanel
`buttonPanel, cancelled, columnNames, component, DRILL_DOWN_FILTER, drillDownFilter, filePanel, fileTypes, FILTER_TYPE_FILTER, filterTypeFilter, model, serviceModel, shortcutPanel, supportType, TABLE_DATA_FILTER, TABLE_HEADER_FILTER, tableColumnHeaderFilter, tableDataCellFilter, TOOLBAR_FILTER, toolbarFilter, transforms, viewerSupport, viewPanel`

Constructor Summary
`InformationServicesSelectorPanel(java.lang.String initialPath, com.sas.services.information.RepositoryInterface repository, java.util.Map fileTypes, boolean showDirectoriesOnly)` Constructor method.
`InformationServicesSelectorPanel(java.lang.String initialPath, com.sas.services.information.RepositoryInterface repository, com.sas.util.transforms.TransformInterface[] transformArray, java.lang.String[] nameArray, java.util.Map fileTypes, boolean showDirectoriesOnly)` Constructor that allows specification of transforms and column labels that will override the default values.
`InformationServicesSelectorPanel(java.lang.String initialPath, com.sas.services.information.RepositoryInterface repository, com.sas.util.transforms.TransformInterface[] transformArray, java.lang.String[] nameArray, java.lang.Object[] columnRenderers, java.util.Map fileTypes, boolean showDirectoriesOnly)` Constructor that allows specification of transforms and column labels that will override the default values.
`InformationServicesSelectorPanel(java.lang.String initialPath, com.sas.services.user.UserContextInterface user, java.lang.Object object, boolean showDirectoriesOnly)`

Method Summary
`java.util.List` | `getReturnedInformation(boolean returnSelectedItems)` Returns the currently selected files or directories.
`static java.util.List` | `showDialog(java.awt.Frame parent, java.lang.String titleOfDialog, boolean modal, int typeOfDialog, java.lang.String initialPath, com.sas.services.information.RepositoryInterface repository, boolean returnSelectedItems, boolean showDirectoriesOnly)` Displays the dialog for the InformationServicesSelector.
`static java.util.List` | `showDialog(javax.swing.JFrame parent, java.lang.String titleOfDialog, boolean modal, int typeOfDialog, java.lang.String initialPath, com.sas.services.user.UserContextInterface user, boolean returnSelectedItem, boolean showDirectoriesOnly)`

Methods inherited from class com.sas.swing.visuals.remotefileselector.BaseRemoteFileSelectorPanel
`contentsChanged, getActionProvider, getActionSupportFilter, getActionSupportType, getUniqueId, getViewComponent, initialize, initialize, isActionVisible, isCancelled, isShowDirectoriesOnly, listActionTypes, listAreaTypes, setActionProvider, setActionSupportType, setActionVisible, setCancelled, setColumnLabels, setDialogType, setServiceModel, setShowButtonPanel, setShowDirectoriesOnly, setShowFileNamePanel, setShowShortcutPanel, setTransforms, setUniqueId, showDialog`

Constructor Detail

### InformationServicesSelectorPanel

    public InformationServicesSelectorPanel(java.lang.String initialPath,
                                            com.sas.services.information.RepositoryInterface repository,
                                            java.util.Map fileTypes,
                                            boolean showDirectoriesOnly)

  Constructor method. Used when only the panel is needed in another component.

  Parameters:
    `initialPath` - the initial file system path to be displayed
    `fileTypes` - allows specification of a Map of display values and filter values for restricting the types of files being viewed
    `showDirectoriesOnly` - specifies whether to show the directory structure only (true) or show the structure and the files (false)

### InformationServicesSelectorPanel

    public InformationServicesSelectorPanel(java.lang.String initialPath,
                                            com.sas.services.information.RepositoryInterface repository,
                                            com.sas.util.transforms.TransformInterface[] transformArray,
                                            java.lang.String[] nameArray,
                                            java.util.Map fileTypes,
                                            boolean showDirectoriesOnly)

  Constructor that allows specification of transforms and column labels that will override the default values.

  Parameters:
    `initialPath` - the initial file system path to be displayed
    `transformArray` - an array of transforms used to retrieve the file system data for display
    `nameArray` - an array of Strings used to label the table column headers
    `fileTypes` - allows specification of a Map of display values and filter values for restricting the types of files being viewed
    `showDirectoriesOnly` - specifies whether to show the directory structure only (true) or show the structure and the files (false)

### InformationServicesSelectorPanel

    public InformationServicesSelectorPanel(java.lang.String initialPath,
                                            com.sas.services.information.RepositoryInterface repository,
                                            com.sas.util.transforms.TransformInterface[] transformArray,
                                            java.lang.String[] nameArray,
                                            java.lang.Object[] columnRenderers,
                                            java.util.Map fileTypes,
                                            boolean showDirectoriesOnly)

  Constructor that allows specification of transforms and column labels that will override the default values.

  Parameters:
    `initialPath` - the initial file system path to be displayed
    `transformArray` - an array of transforms used to retrieve the file system data for display
    `nameArray` - an array of Strings used to label the table column headers
    `columnRenderers` - an array of cell renderers used to format the column values
    `fileTypes` - allows specification of a Map of display values and filter values for restricting the types of files being viewed
    `showDirectoriesOnly` - specifies whether to show the directory structure only (true) or show the structure and the files (false)

### InformationServicesSelectorPanel

    public InformationServicesSelectorPanel(java.lang.String initialPath,
                                            com.sas.services.user.UserContextInterface user,
                                            java.lang.Object object,
                                            boolean showDirectoriesOnly)

Parameters:
  `initialPath` -
  `user` -
  `object` -
  `showDirectoriesOnly` -

Method Detail

### showDialog

    public static java.util.List showDialog(java.awt.Frame parent,
                                            java.lang.String titleOfDialog,
                                            boolean modal,
                                            int typeOfDialog,
                                            java.lang.String initialPath,
                                            com.sas.services.information.RepositoryInterface repository,
                                            boolean returnSelectedItems,
                                            boolean showDirectoriesOnly)

  Displays the dialog for the InformationServicesSelector.

  Parameters:
    `parent` - the parent window of the dialog
    `titleOfDialog` - the title of the dialog window
    `modal` - specfies whether the dialog is to be modal
    `typeOfDialog` - specifies whether this dialog functions as a Save, Open, or OK window. Specify OK = 0, Save = 1, Open = 2
    `initialPath` - the initial file system path to be displayed
    `repository` - the InformationServices repository used to query for metadata information
    `returnSelectedItems` - determines whether to return information about the file selections when the window is closed
    `showDirectoriesOnly` - specifies whether to show the directory structure only (true) or show the structure and the files (false)
  Returns:
    list containing Strings representing the file selections made in the window

### showDialog

    public static java.util.List showDialog(javax.swing.JFrame parent,
                                            java.lang.String titleOfDialog,
                                            boolean modal,
                                            int typeOfDialog,
                                            java.lang.String initialPath,
                                            com.sas.services.user.UserContextInterface user,
                                            boolean returnSelectedItem,
                                            boolean showDirectoriesOnly)

  Parameters:
    `frame` -
    `string` -
    `b` -
    `i` -
    `path` -
    `infoService` -
    `c` -
    `d` -
  Returns:
    This is a temporary method to test passing InformationService

### getReturnedInformation

    public java.util.List getReturnedInformation(boolean returnSelectedItems)

  Returns the currently selected files or directories.

  Overrides:
    `getReturnedInformation` in class `BaseRemoteFileSelectorPanel`
  Parameters:
    `returnSelectedItems` - specifies whether to return selected items
  Returns:
    the selected information a list of Strings containing the selected files and their file system paths

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.